<bugID>219815<Summary>Make File-&gt; Open support both URLs and local files</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5b) Gecko/20030901 Firebird/0.6.1+
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5b) Gecko/20030901 Firebird/0.6.1+

A new user without (or unable to use) a mouse, cannot know how to type in an
address in Firebird.

This is perhaps the most important feature of the browser, and a new non-mouse
user will not know how to get to the 'address' field, as they cannot know what
the shortcuts are.

Reproducible: Always

Steps to Reproduce:
1. Find a new user unable to use or without a mouse
2. Ask them to type go to a specific website

Actual Results:  
They will not know how to specify a URL.


Expected Results:  
The user should have been able to use EITHER:

   1. File|Open (Ctrl+O)

or 2. A new menu item: Go|Specify Location (Ctrl+L) -- to find out the shortcut
for future reference

or 3. The address bar should have the label A_d_dress (underlined d) to indicate
they can use Alt+D as a shortcut


A new keyboard-only user cannot know how to specify an address.  Yes, they're
mentioned at http://texturizer.net/firebird/keyboard.html -- but the new user
won't be able to type that address!

1. Keyboard users other browsers may be used to File|Open (Ctrl+O) allowing them
to specify an arbitrary URL (in addition to specifying a local file) -- after
all, this is a web browser!  This solution would provide the least additional
clutter as the menu item already exists (but is only able to open files).

2. A less desirable alternative (as it's another menu item) would be to add an
item for Ctrl+L on the "Go" menu.  This seems pointless as File|Open could do this.

3. Another alternative (less desirable for screen-space reasons) could be an
"Address" label with underlined "d" illustrating that Alt+D may be used.

NOTE: The perfect dialog box for solution 1 can already be seen in FB by typing
Ctrl+L when the address bar is hidden.</Description></bugID>